## org.apache.poi.hslf.exceptions
Class HSLFException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.poi.hslf.exceptions.HSLFException

All Implemented Interfaces:
  java.io.Serializable

    public final class HSLFException

extends java.lang.RuntimeException

A generic exception that can be thrown by HSLF classes

Author:
  Yegor Kozlov
See Also:
  Serialized Form

Constructor Summary
`HSLFException()`
`HSLFException(java.lang.String message)`
`HSLFException(java.lang.String message, java.lang.Throwable cause)`
`HSLFException(java.lang.Throwable cause)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HSLFException

    public HSLFException()

### HSLFException

    public HSLFException(java.lang.String message)

### HSLFException

    public HSLFException(java.lang.String message,
                         java.lang.Throwable cause)

### HSLFException

    public HSLFException(java.lang.Throwable cause)

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.